#!/usr/bin/python
# Copyright 2014 by trgk.
# All rights reserved.
# This file is part of EUD python library (eudplib),
# and is released under "MIT License Agreement". Please see the LICENSE
# file that should have been included as part of this package.

from .eudarray import EUDArray
from .eudgrp import EUDGrp
from .eudqueue import EUDDeque, EUDQueue
from .eudstack import EUDStack
from .locf.locf import (
    f_addloc,
    f_dilateloc,
    f_getlocTL,
    f_setloc,
    f_setloc_epd,
)
from .mathf.atan2 import f_atan2, f_atan2_256
from .mathf.div import f_div_euclid, f_div_floor, f_div_towards_zero
from .mathf.lengthdir import f_lengthdir, f_lengthdir_256
from .mathf.pow import f_pow
from .mathf.sqrt import f_sqrt
from .memiof import (
    CPByteWriter,
    EUDByteReader,
    EUDByteStream,
    EUDByteWriter,
    EUDVArrayReader,
    f_addcurpl,
    f_badd_epd,
    f_bread,
    f_bread_cp,
    f_bread_epd,
    f_bsubtract_epd,
    f_bwrite,
    f_bwrite_cp,
    f_bwrite_epd,
    f_cunitepdread_cp,
    f_cunitepdread_epd,
    f_cunitread_cp,
    f_cunitread_epd,
    f_dwadd_cp,
    f_dwadd_epd,
    f_dwbreak,
    f_dwbreak2,
    f_dwepdread_cp,
    f_dwepdread_epd,
    f_dwepdread_epd_safe,
    f_dwread,
    f_dwread_cp,
    f_dwread_epd,
    f_dwread_epd_safe,
    f_dwsubtract_cp,
    f_dwsubtract_epd,
    f_dwwrite,
    f_dwwrite_cp,
    f_dwwrite_epd,
    f_epdcunitread_cp,
    f_epdcunitread_epd,
    f_epdread_cp,
    f_epdread_epd,
    f_epdread_epd_safe,
    f_epdspriteread_cp,
    f_epdspriteread_epd,
    f_flagread_epd,
    f_getcurpl,
    f_maskread_cp,
    f_maskread_epd,
    f_maskwrite_cp,
    f_maskwrite_epd,
    f_memcmp,
    f_memcpy,
    f_posread_cp,
    f_posread_epd,
    f_readgen_cp,
    f_readgen_epd,
    f_repmovsd_epd,
    f_setcurpl,
    f_setcurpl2cpcache,
    f_spriteepdread_cp,
    f_spriteepdread_epd,
    f_spriteread_cp,
    f_spriteread_epd,
    f_wadd_epd,
    f_wread,
    f_wread_cp,
    f_wread_epd,
    f_wsubtract_epd,
    f_wwrite,
    f_wwrite_cp,
    f_wwrite_epd,
)
from .playerv import PVariable
from .qgcf.qgc import (
    QueueGameCommand,
    QueueGameCommand_AddSelect,
    QueueGameCommand_MergeArchon,
    QueueGameCommand_MergeDarkArchon,
    QueueGameCommand_MinimapPing,
    QueueGameCommand_PauseGame,
    QueueGameCommand_QueuedRightClick,
    QueueGameCommand_RemoveSelect,
    QueueGameCommand_RestartGame,
    QueueGameCommand_ResumeGame,
    QueueGameCommand_RightClick,
    QueueGameCommand_Select,
    QueueGameCommand_TrainUnit,
    QueueGameCommand_UseCheat,
)
from .stringf.cpprint import (
    FixedText,
    PColor,
    PName,
    f_cpstr_adddw,
    f_cpstr_addptr,
    f_cpstr_print,
    f_eprintln,
    f_gettextptr,
    f_raise_CCMU,
)
from .stringf.cpstr import CPString, GetMapStringAddr
from .stringf.cputf8 import f_cp949_to_utf8_cpy
from .stringf.dbstr import DBString
from .stringf.eudprint import (
    epd2s,
    f_dbstr_adddw,
    f_dbstr_addptr,
    f_dbstr_addstr,
    f_dbstr_addstr_epd,
    f_dbstr_print,
    hptr,
    ptr2s,
)
from .stringf.fmtprint import f_eprintAll, f_eprintf, f_sprintf, f_sprintf_cp
from .stringf.locale import LocalLocale
from .stringf.parse import f_parse
from .stringf.pname import IsPName, SetPName, SetPNamef
from .stringf.strall import DisplayTextAllAt, f_printAll, f_printAllAt
from .stringf.strbuffer import (
    DisplayTextAt,
    GetGlobalStringBuffer,
    StringBuffer,
    f_printAt,
    f_println,
    f_simpleprint,
)
from .stringf.strfunc import (
    f_strcmp,
    f_strcpy,
    f_strlen,
    f_strlen_epd,
    f_strnstr,
)
from .stringf.tblprint import (
    GetTBLAddr,
    f_eprintln2,
    f_settbl,
    f_settbl2,
    f_settblf,
    f_settblf2,
)
from .stringf.texteffect import (
    TextFX_FadeIn,
    TextFX_FadeOut,
    TextFX_Remove,
    TextFX_SetTimer,
    f_cpchar_adddw,
    f_cpchar_print,
)
from .unitgroup import UnitGroup
from .utilf import (
    CenterViewAll,
    DisplayTextAll,
    EUDAnd,
    EUDBinaryMax,
    EUDBinaryMin,
    EUDEndPlayerLoop,
    EUDLoopBullet,
    EUDLoopCUnit,
    EUDLoopList,
    EUDLoopNewCUnit,
    EUDLoopNewUnit,
    EUDLoopPlayer,
    EUDLoopPlayerCUnit,
    EUDLoopPlayerUnit,
    EUDLoopSprite,
    EUDLoopTrigger,
    EUDLoopUnit,
    EUDLoopUnit2,
    EUDNot,
    EUDOr,
    EUDPlayerLoop,
    IsUserCP,
    MinimapPingAll,
    PlayWAVAll,
    SetMissionObjectivesAll,
    TalkingPortraitAll,
    f_blockpatch_epd,
    f_dwpatch_epd,
    f_dwrand,
    f_getgametick,
    f_getseed,
    f_getuserplayerid,
    f_playerexist,
    f_rand,
    f_randomize,
    f_srand,
    f_unpatchall,
)
from .wireframe.wireframe import (
    InitialWireframe,
    Is64BitWireframe,
    SetGrpWire,
    SetTranWire,
    SetWirefram,
    SetWireframes,
)

__all__ = [
    "EUDArray",
    "EUDGrp",
    "EUDDeque",
    "EUDQueue",
    "EUDStack",
    "f_addloc",
    "f_dilateloc",
    "f_getlocTL",
    "f_setloc",
    "f_setloc_epd",
    "f_atan2",
    "f_atan2_256",
    "f_div_euclid",
    "f_div_floor",
    "f_div_towards_zero",
    "f_lengthdir",
    "f_lengthdir_256",
    "f_pow",
    "f_sqrt",
    "CPByteWriter",
    "EUDByteReader",
    "EUDByteStream",
    "EUDByteWriter",
    "EUDVArrayReader",
    "f_addcurpl",
    "f_badd_epd",
    "f_bread",
    "f_bread_cp",
    "f_bread_epd",
    "f_bsubtract_epd",
    "f_bwrite",
    "f_bwrite_cp",
    "f_bwrite_epd",
    "f_cunitepdread_cp",
    "f_cunitepdread_epd",
    "f_cunitread_cp",
    "f_cunitread_epd",
    "f_dwadd_cp",
    "f_dwadd_epd",
    "f_dwbreak",
    "f_dwbreak2",
    "f_dwepdread_cp",
    "f_dwepdread_epd",
    "f_dwepdread_epd_safe",
    "f_dwread",
    "f_dwread_cp",
    "f_dwread_epd",
    "f_dwread_epd_safe",
    "f_dwsubtract_cp",
    "f_dwsubtract_epd",
    "f_dwwrite",
    "f_dwwrite_cp",
    "f_dwwrite_epd",
    "f_epdcunitread_cp",
    "f_epdcunitread_epd",
    "f_epdread_cp",
    "f_epdread_epd",
    "f_epdread_epd_safe",
    "f_epdspriteread_cp",
    "f_epdspriteread_epd",
    "f_flagread_epd",
    "f_getcurpl",
    "f_maskread_cp",
    "f_maskread_epd",
    "f_maskwrite_cp",
    "f_maskwrite_epd",
    "f_memcmp",
    "f_memcpy",
    "f_posread_cp",
    "f_posread_epd",
    "f_readgen_cp",
    "f_readgen_epd",
    "f_repmovsd_epd",
    "f_setcurpl",
    "f_setcurpl2cpcache",
    "f_spriteepdread_cp",
    "f_spriteepdread_epd",
    "f_spriteread_cp",
    "f_spriteread_epd",
    "f_wadd_epd",
    "f_wread",
    "f_wread_cp",
    "f_wread_epd",
    "f_wsubtract_epd",
    "f_wwrite",
    "f_wwrite_cp",
    "f_wwrite_epd",
    "PVariable",
    "QueueGameCommand",
    "QueueGameCommand_AddSelect",
    "QueueGameCommand_MergeArchon",
    "QueueGameCommand_MergeDarkArchon",
    "QueueGameCommand_MinimapPing",
    "QueueGameCommand_PauseGame",
    "QueueGameCommand_QueuedRightClick",
    "QueueGameCommand_RemoveSelect",
    "QueueGameCommand_RestartGame",
    "QueueGameCommand_ResumeGame",
    "QueueGameCommand_RightClick",
    "QueueGameCommand_Select",
    "QueueGameCommand_TrainUnit",
    "QueueGameCommand_UseCheat",
    "FixedText",
    "PColor",
    "PName",
    "f_cpstr_adddw",
    "f_cpstr_addptr",
    "f_cpstr_print",
    "f_eprintln",
    "f_gettextptr",
    "f_raise_CCMU",
    "CPString",
    "GetMapStringAddr",
    "f_cp949_to_utf8_cpy",
    "DBString",
    "epd2s",
    "f_dbstr_adddw",
    "f_dbstr_addptr",
    "f_dbstr_addstr",
    "f_dbstr_addstr_epd",
    "f_dbstr_print",
    "hptr",
    "ptr2s",
    "f_eprintAll",
    "f_eprintf",
    "f_sprintf",
    "f_sprintf_cp",
    "LocalLocale",
    "f_parse",
    "IsPName",
    "SetPName",
    "SetPNamef",
    "DisplayTextAllAt",
    "f_printAll",
    "f_printAllAt",
    "DisplayTextAt",
    "GetGlobalStringBuffer",
    "StringBuffer",
    "f_printAt",
    "f_println",
    "f_simpleprint",
    "f_strcmp",
    "f_strcpy",
    "f_strlen",
    "f_strlen_epd",
    "f_strnstr",
    "GetTBLAddr",
    "f_eprintln2",
    "f_settbl",
    "f_settbl2",
    "f_settblf",
    "f_settblf2",
    "TextFX_FadeIn",
    "TextFX_FadeOut",
    "TextFX_Remove",
    "TextFX_SetTimer",
    "f_cpchar_adddw",
    "f_cpchar_print",
    "UnitGroup",
    "CenterViewAll",
    "DisplayTextAll",
    "EUDAnd",
    "EUDBinaryMax",
    "EUDBinaryMin",
    "EUDEndPlayerLoop",
    "EUDLoopBullet",
    "EUDLoopCUnit",
    "EUDLoopList",
    "EUDLoopNewCUnit",
    "EUDLoopNewUnit",
    "EUDLoopPlayer",
    "EUDLoopPlayerCUnit",
    "EUDLoopPlayerUnit",
    "EUDLoopSprite",
    "EUDLoopTrigger",
    "EUDLoopUnit",
    "EUDLoopUnit2",
    "EUDNot",
    "EUDOr",
    "EUDPlayerLoop",
    "IsUserCP",
    "MinimapPingAll",
    "PlayWAVAll",
    "SetMissionObjectivesAll",
    "TalkingPortraitAll",
    "f_blockpatch_epd",
    "f_dwpatch_epd",
    "f_dwrand",
    "f_getgametick",
    "f_getseed",
    "f_getuserplayerid",
    "f_playerexist",
    "f_rand",
    "f_randomize",
    "f_srand",
    "f_unpatchall",
    "InitialWireframe",
    "Is64BitWireframe",
    "SetGrpWire",
    "SetTranWire",
    "SetWirefram",
    "SetWireframes",
]
